#!/usr/bin/env perl
use Module::Build;

my $home = $ENV{HOME};

my $build = Module::Build->new(
    module_name   => 'GTSRSSApi',
    license       => 'AGPLv3',
    dist_author   => 'Sergio Iglesias <contact@owlcode.tech>',
    dist_abstract => 'API to fetch pkmn-classic gts trades.',
    requires      => {
        'Mojolicious'                => 0,
        'DBI'                        => 0,
        'DBD::Pg'                    => 0,
        'Mojo::UserAgent'            => 0,
        'Mojo::Util'                 => 0,
        'DateTime::Format::Strptime' => 0,
        'DateTime'                   => 0,
        'DateTime::Format::Pg'       => 0,
        'JSON'                       => 0,
        'UUID::URandom'              => 0,
        'DateTime::Format::Mail'     => 0,
        'Path::Tiny' => 0,
    },
);
$build->create_build_script;
